org.keycloak.models.map.authorization.entity

## Class MapResourceEntity<K>

- java.lang.Object
- - org.keycloak.models.map.authorization.entity.MapResourceEntity<K>

- All Implemented Interfaces:
    AbstractEntity<K>, UpdatableEntity

      public class MapResourceEntity<K>
      extends Object
      implements AbstractEntity<K>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Comparator<MapResourceEntity<?>>` | `COMPARE_BY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapResourceEntity()`
    `MapResourceEntity(K id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAttribute(String name)`
    `Map<String,List<String>>` | `getAttributes()`
    `String` | `getDisplayName()`
    `String` | `getIconUri()`
    `K` | `getId()`
    `String` | `getName()`
    `String` | `getOwner()`
    `Set<String>` | `getPolicyIds()`
    `String` | `getResourceServerId()`
    `Set<String>` | `getScopeIds()`
    `String` | `getSingleAttribute(String name)`
    `String` | `getType()`
    `Set<String>` | `getUris()`
    `boolean` | `isOwnerManagedAccess()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `removeAttribute(String name)`
    `void` | `setAttribute(String name, List<String> value)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setIconUri(String iconUri)`
    `void` | `setName(String name)`
    `void` | `setOwner(String owner)`
    `void` | `setOwnerManagedAccess(boolean ownerManagedAccess)`
    `void` | `setResourceServerId(String resourceServerId)`
    `void` | `setScopeIds(Set<String> scopeIds)`
    `void` | `setType(String type)`
    `void` | `setUris(Set<String> uris)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COMPARE_BY_NAME

          public static final Comparator<MapResourceEntity<?>> COMPARE_BY_NAME

  - ### Constructor Detail

    - #### MapResourceEntity

          public MapResourceEntity(K id)

    - #### MapResourceEntity

          public MapResourceEntity()

  - ### Method Detail

    - #### getId

          public K getId()

      Specified by:
        `getId` in interface `AbstractEntity<K>`

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getUris

          public Set<String> getUris()

    - #### setUris

          public void setUris(Set<String> uris)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getIconUri

          public String getIconUri()

    - #### setIconUri

          public void setIconUri(String iconUri)

    - #### getOwner

          public String getOwner()

    - #### setOwner

          public void setOwner(String owner)

    - #### isOwnerManagedAccess

          public boolean isOwnerManagedAccess()

    - #### setOwnerManagedAccess

          public void setOwnerManagedAccess(boolean ownerManagedAccess)

    - #### getResourceServerId

          public String getResourceServerId()

    - #### setResourceServerId

          public void setResourceServerId(String resourceServerId)

    - #### getScopeIds

          public Set<String> getScopeIds()

    - #### setScopeIds

          public void setScopeIds(Set<String> scopeIds)

    - #### getPolicyIds

          public Set<String> getPolicyIds()

    - #### getAttributes

          public Map<String,List<String>> getAttributes()

    - #### getAttribute

          public List<String> getAttribute(String name)

    - #### getSingleAttribute

          public String getSingleAttribute(String name)

    - #### setAttribute

          public void setAttribute(String name,
                                   List<String> value)

    - #### removeAttribute

          public void removeAttribute(String name)

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.